[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReader.EndReferences

Finalizes the component referencing mechanism.

## Declaration

Source position: classesh.inc line 1391

`public procedure TReader.EndReferences;`

## Description

When streaming components, the streaming mechanism keeps a list of existing components that can be referenced to. This method cleans up that system.